<?php
/**
 * VECloud 视频裁剪 API 示例
 *
 * @note http://vesdk.com/docs/page_94.html
 *
 * */

include "./vesdk/Base.php";
include "./vesdk/ClipVideo.php";

use vesdk\ClipVideo;

class VECloudClipDemo {
    /**
     * 用于生成 recordId
     */
    private function generateRecordId() {
        return md5(time() . rand(100000,999999));
    }

    /**
     * 裁剪任务 json
     * */
    function getClipTaskJson()
    {
        $recordId = $this->generateRecordId();
        $json     = <<<EOT
{
    "recordId": "$recordId",
    "videoClips" : [
        { 
            "fileUrl" : "https://vev-oss1.atvideo.cc/asset11.mp4",
            "clips" : [
                {
                    "t": [1000, 10000],
                    "mode": "fixed"
                },
                 {
                    "t": [20000, 40000],
                    "mode": "fixed"
                }
            ]
        }
    ],
    "uploadKey": "video/vetest6.mp4",
    "notifyUrl": "http://www.seexon.com/render/callback",
    "width" : 1280,
    "height" : 720,
    "frameRate":30
}
EOT;
        return $json;
    }

    /**
     * 提交任务
     *
     * */
    public function submit($config, $json) {
        //根据实际业务需要拼接这段json,json中的recordId必须是一个新的!
        $json_arr = json_decode($json, true);
        $cpr      = new ClipVideo($config);
        return $cpr->request($json_arr);
    }

}


/**
 * 任务配置信息, 从 console.vesdk.com 控制台获取
 * @note 所有字段都必须
 * */
$config   = [
    "accessKey"    => "", // 在控制台配置的秘钥
    "accessSecret" => "", // 在控制台配置的秘钥
    "productId"    => "", // 在控制台查看产品id
    "ossId"        => "", // 在控制台的OSSID
];

$demo = new VECloudClipDemo();
$response = $demo->submit($config, $demo->getClipTaskJson());

if (!$response || $response["errno"] !== 0)
{
    echo "-- submit task failed: \n ";
} else {
    echo "-- submit task success: \n";
}

print_r($response);

